Subject: Re: bug#66758: 30.0.50; Show man pages on remote systems

From: Michael Albinus <[email-masked]>
Date: Wed, 01 Nov 2023 16:57:44 +0100

Version: 30.1

Michael Albinus <[email-masked]> writes:

> It has been mentioned several times over the last years, now I've tried
> it. Appended is a patch, which allows to show man pages on remote
> systems via Tramp.
>
> There is a new user option `Man-support-remote-systems'. When this is
> non-nil, the `man' command runs on the remote system determined by
> `default-directory'. When the `man' command is called with a prefix
> argument, the value of`Man-support-remote-systems' is reverted.
>
> Following references in man pages to other man pages, or to files, shall
> happen on the remote system. Invoking `man' from dired (typing "N" on a
> man file) shall also work on remote systems.
>
> Comments?

No further comment, so I've pushed it to master. Closing the report.

Best regards, Michael.